@import url('https://fonts.googleapis.com/css?family=Public+Sans:300,400&display=swap');

html {
  font-size: 18px;
}

body {
  font-family: 'Public Sans', sans-serif;
}

.attribution { font-size: 11px; text-align: center; }
.attribution a { color: hsl(228, 45%, 44%); }

.full-w {
    max-width: 100%;
}

.splash--image {
    background-image: url(/images/bg-intro-mobile.svg);
    background-repeat: no-repeat;
    background-position-y: -3rem;
    background-position-x: -4rem;
    height: 18.5rem;
    padding: 0 16px;
    background-size: cover;
}

#si-m {
    z-index: 1;
    position: relative;
    bottom: 6rem;
}

nav a {
  text-align: center;
  margin-top: 1rem;
  color: hsl(233, 26%, 24%);
  line-height: normal;
}

#nav--links {
    position: absolute;
    flex-direction: column;
    background-color: hsl(0, 0%, 100%);
    border-radius: .25rem;
    z-index: 3;
    width: calc(100% - 2.5rem);
    left: 0;
    right: 0;
    margin: auto;
    margin-top: 1.33rem;
    padding-top: 1rem;
    padding-bottom: 2rem;
    opacity: 0;
    transition: all .275s;
    box-shadow: 0 0 10rem 5rem hsl(233, 26%, 24%);
}

.margin {
  margin: 0;
}


.icon {
    opacity: 0;
    position: absolute;
    transform: scale(2);
}

header {
    height: 64px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 1.5rem;
    position: relative;
    z-index: 4;
    background-color: white;
}


header span
{
  display: block;
  width: 24px;
  height: 1px;
  margin-bottom: 5px;
  position: relative;
  
  background: hsl(233, 26%, 24%);
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: 4px 0px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

header span:first-child
{
  transform-origin: 0% 0%;
}

header span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

input:checked ~ span
{
  opacity: 1;
  transform: rotate(-45deg) translate(0, -2px);
  background: hsl(233, 26%, 24%);
}

/*
 * But let's hide the middle one.
 */
header input:checked ~ span:nth-last-child(2)
{
  transform: rotate(0deg) scale(0.2, 0.2);
  opacity: 0;
}

/*
 * Ohyeah and the last one should go the other direction
 */
header input:checked ~ span:nth-last-child(3)
{
  transform: rotate(45deg) translate(0, 0px);
}

h1 {
  font-size: 2.22rem;
  color: hsl(233, 26%, 24%);
  text-align: center;
  font-weight: 300;
  margin-bottom: 1rem;
}

p {
  color: hsl(233, 8%, 62%);
  font-weight: 400;
  font-size: .778rem;
  text-align: center;
  margin-bottom: 1rem;
  line-height: 1.72;
}

.why {
  background-color: hsl(220, 16%, 96%);
  padding: 0 1.33rem;
}

.why h1 {
  font-size: 1.66rem;
  font-weight: 300;
  padding: 4rem 1rem 0rem 1rem;
}

.why p {
  margin-bottom: 0;
  padding-bottom: 3rem;
}


.features {
  text-align: center;
}

.features--title {
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
  color: hsl(233, 26%, 24%);
  font-size: 1.11rem;
  font-weight: 300;
}

button {
  font-family: 'Public Sans', sans-serif;
  transition: all .225s;
}
.features .features--paragraph {
  padding-bottom: 4rem;
}

.request--invite {
  color: hsl(0, 0%, 100%);
  font-weight: 400;
  border-radius: 2rem;
  height: 2.5rem;
  font-size: .778rem;
  background: rgb(49,211,92);
  background: linear-gradient(90deg, rgba(49,211,92,1) 0%, rgba(43,183,218,1) 100%);
  border: 0;
  padding: 0 2rem;
  display: block;
  margin: auto;
}

.splash {
  padding-bottom: 5rem;
}

.splash p {
  padding: 0 1rem 1rem 1rem;
}

.latest {
  padding: 5rem 1.33rem;
  background-color: hsl(0, 0%, 98%);
}

.latest h1 {
  font-size: 1.67rem;
  margin-bottom: 0;
  font-weight: 300;
}

.latest--article img {
  border-radius: .5rem .5rem 0 0;
  height: 200px;
  width: 100%;
}

.latest--author {
  text-align: left;
  font-size: .556rem;
  margin-bottom: .556rem;
}

.latest--title {
  font-size: .89rem;
  text-align: left;
  margin-bottom: .556rem;
  color: hsl(233, 26%, 24%);
  transition: all .225s;
  font-weight: 300;
}

.latest--title:hover {
  color: rgba(49,211,92,1);
}

.latest--preview {
  font-size: .722rem;
  text-align: left;
  line-height: 1.4;
}

.latest--article {
  margin-top: 2rem;
  background-color: white;
}

.latest--content {
  padding: 1.5rem;
  border-radius: 0 0 .5rem .5rem;
}

footer {
  background-color: hsl(233, 26%, 24%);
  text-align: center;
  padding-top: 2rem;
}

footer .links a:hover {
  color: rgba(49,211,92,1);
}

.footer--logo {
  margin-bottom: 1.5rem;
  filter: contrast(0) brightness(2);
}

.social {
  margin-bottom: 1.5rem;
}

.social img {
  padding-right: 8px;
  width: 24px;
  transition: all .225s;
}

.links {
  color: hsl(0, 0%, 100%);
  font-weight: 300;
  display: flex;
  flex-direction: column;
  font-size: .83rem;
}

.links a {
  margin-bottom: 1rem;
  transition: all .225s;
}

footer .request--invite {
  margin-top: 1rem;
  margin-bottom: 1.5rem;
}

.copyright {
  padding-bottom: 3rem;
  font-size: .83rem;
}

hr {
  display: none;
}

@media only screen and (min-device-width: 768px) {
  .menu {
    display: none;
  }

  .splash {
    overflow-x: hidden;
  }
  
  .splash--image {
    background-image: url(/images/bg-intro-desktop.svg);
    width: 100%;
    height: auto;
    background-position-y: -15rem;
    padding: 0;
    background-size: auto;
  }

  #si-m {
    position: relative;
    right: -7.33rem;
    bottom: 0;
  }

  .splash {
    display: flex;
    flex-direction: row-reverse;
    padding-bottom: 0;
    background-color: hsl(0, 0%, 98%);
    min-height: 35rem;
  }

  #splash--surpass {
    visibility: visible;
    right: 0;
    top: -2rem;
    position: absolute;
    overflow-x: hidden;
  }

  .splash--content {
    align-self: center;
    margin-left: 8rem;
  }

  .splash--content h1 {
    text-align: left;
    font-size: 3rem;
  }

  .splash--content p {
    text-align: left;
    padding: 0;
    font-size: 1rem;
    max-width: 80%;
  }

  .splash--content .request--invite {
    margin: 0;
  }

  header {
    padding: 0 8rem;
    height: 80px;
  }

  .splash--image .full-w {
    max-width: unset;
  }

  .desk-only {
    display: block;
  }

  .request--invite {
    margin: 0;
  }

  .header--links {
    color: hsl(233, 8%, 62%);
    font-size: .833rem;
  }

  .header--links a:hover {
    border-bottom: 4px solid;
    border-image-source: linear-gradient(90deg, rgba(49,211,92,1) 0%, rgba(43,183,218,1) 100%);
    border-image-slice: 4;
  }

  .header--links a {
    margin-right: 1rem;
    padding-bottom: 1.6rem;
    transition: all .225s;
  }

  section h1 {
    text-align: left;
  }

  .why, .latest {
    padding-left: 8rem;
    padding-right: 8rem;
    padding-top: 3rem;
  }

  .why--title {
    padding-top: 5rem;
  }

  .why--title h1 {
    padding: 0;
    font-size: 2.22rem;
  }

  .why--title p {
    text-align: left;
    font-size: 1rem;
    max-width: 50%;
    font-weight: 300;
  }

  .features {
    display: flex;
    text-align: left;
  }

  .features--paragraph {
    text-align: left;
    font-size: .889rem;
    letter-spacing: -0.2px;
  }

  .features--title {
    font-size: 1.33rem;
  }

  .features--box {
    margin-right: 1.5rem;
  }

  .latest--articles {
    display: flex;
  }

  .latest--article {
    margin-right: 1.5rem;
  }

  footer {
    display: flex;
    justify-content: space-between;
  }

  .footer--logo {
    margin-top: 1rem;
    margin-bottom: 3rem;
  }

  .social img {
    width: auto;
  }

  .links {
    flex-wrap: wrap;
    height: 132px;
    text-align: left;
    justify-content: flex-end;
    width: 23rem;
  }

  .links a {
    margin-bottom: 1.33rem;
  }

  .latest h1 {
    font-size: 2rem;
    margin-bottom: 1rem;
  }

  .footer--firstcol {
    margin-left: 8rem;
  }

  .footer--thrcol {
    margin-right: 8rem;
    display: flex;
    flex-direction: column;
  }

  .footer--thrcol .request--invite {
    max-width: 80%;
    align-self: flex-end;
  }

  .copyright {
    text-align: right;
  }

}

@media only screen and (max-device-width: 767px) {
  .desk-only {
    display: none;
  }
}

.social img:hover {
  filter: brightness(50%) sepia(1) saturate(65) hue-rotate(136deg) brightness(151%)
}

button:hover {
  opacity: .8;
  filter: brightness(1.1);
}
